$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.47-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.47-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '46D4A05B3473BDCD880B5BA7492D411ABDF8D6CEBB5B7260D38B4886B13F9718'
  checksumType = 'sha256'
  checksum64 = '46D4A05B3473BDCD880B5BA7492D411ABDF8D6CEBB5B7260D38B4886B13F9718'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.1.47-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
